Package org.bukkit.entity

# Interface TNTPrimed

All Superinterfaces:
  `Audience`, `CommandSender`, `Entity`, `Explosive`, `HoverEventSource<HoverEvent.ShowEntity>`, `Metadatable`, `Nameable`, `Permissible`, `PersistentDataHolder`, `Pointered`, `ServerOperator`, `Sound.Emitter`

public interface TNTPrimed extends Explosive
Represents a Primed TNT.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.entity.Entity

`Entity.Spigot`

## Method Summary

Modifier and Type
Method
Description
`int`
`getFuseTicks()`
Retrieve the number of ticks until the explosion of this TNTPrimed entity
`@Nullable Entity`
`getSource()`
Gets the source of this primed TNT.
`default Location`
`getSourceLoc()`
Deprecated.
replaced by `Entity.getOrigin()`
`void`
`setFuseTicks(int fuseTicks)`
Set the number of ticks until the TNT blows up after being primed.
`void`
`setSource(@Nullable Entity source)`
Sets the source of this primed TNT.

### Methods inherited from interface net.kyori.adventure.audience.Audience

`clearTitle, filterAudience, forEachAudience, hideBossBar, openBook, openBook, playSound, playSound, playSound, resetTitle, sendActionBar, sendActionBar, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlayerListFooter, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeader, sendPlayerListHeaderAndFooter, sendPlayerListHeaderAndFooter, sendTitlePart, showBossBar, showTitle, stopSound, stopSound`

### Methods inherited from interface org.bukkit.command.CommandSender

`getName, name, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage`

### Methods inherited from interface org.bukkit.entity.Entity

`addPassenger, addScoreboardTag, asHoverEvent, eject, fromMobSpawner, getBoundingBox, getChunk, getEntityId, getEntitySpawnReason, getFacing, getFallDistance, getFireTicks, getFreezeTicks, getHeight, getLastDamageCause, getLocation, getLocation, getMaxFireTicks, getMaxFreezeTicks, getNearbyEntities, getOrigin, getPassenger, getPassengers, getPistonMoveReaction, getPortalCooldown, getPose, getScoreboardTags, getServer, getSpawnCategory, getTicksLived, getTrackedPlayers, getType, getUniqueId, getVehicle, getVelocity, getWidth, getWorld, hasGravity, isCustomNameVisible, isDead, isEmpty, isFreezeTickingLocked, isFrozen, isGlowing, isInBubbleColumn, isInLava, isInPowderedSnow, isInRain, isInsideVehicle, isInvulnerable, isInWater, isInWaterOrBubbleColumn, isInWaterOrRain, isInWaterOrRainOrBubbleColumn, isOnGround, isPersistent, isSilent, isTicking, isValid, isVisualFire, leaveVehicle, lockFreezeTicks, playEffect, remove, removePassenger, removeScoreboardTag, setCustomNameVisible, setFallDistance, setFireTicks, setFreezeTicks, setGlowing, setGravity, setInvulnerable, setLastDamageCause, setPassenger, setPersistent, setPortalCooldown, setRotation, setSilent, setTicksLived, setVelocity, setVisualFire, spawnAt, spawnAt, spigot, teamDisplayName, teleport, teleport, teleport, teleport, teleportAsync, teleportAsync`

### Methods inherited from interface org.bukkit.entity.Explosive

`getYield, isIncendiary, setIsIncendiary, setYield`

### Methods inherited from interface net.kyori.adventure.text.event.HoverEventSource

`asHoverEvent`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.Nameable

`customName, customName, getCustomName, setCustomName`

### Methods inherited from interface org.bukkit.permissions.Permissible

`addAttachment, addAttachment, addAttachment, addAttachment, getEffectivePermissions, hasPermission, hasPermission, isPermissionSet, isPermissionSet, permissionValue, permissionValue, recalculatePermissions, removeAttachment`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

### Methods inherited from interface net.kyori.adventure.pointer.Pointered

`get, getOrDefault, getOrDefaultFrom, pointers`

### Methods inherited from interface org.bukkit.permissions.ServerOperator

`isOp, setOp`

## Method Details

### setFuseTicks

void setFuseTicks(int fuseTicks)
Set the number of ticks until the TNT blows up after being primed.

Parameters:
  `fuseTicks` - The fuse ticks

### getFuseTicks

int getFuseTicks()
Retrieve the number of ticks until the explosion of this TNTPrimed entity

Returns:
  the number of ticks until this TNTPrimed explodes

### getSource

@Nullable @Nullable Entity getSource()
Gets the source of this primed TNT. The source is the entity responsible for the creation of this primed TNT. (I.E. player ignites TNT with flint and steel.) Take note that this can be null if there is no suitable source. (created by the `RegionAccessor.spawn(Location, Class)` method, for example.)

The source will become null if the chunk this primed TNT is in is unloaded then reloaded. The source entity may be invalid if for example it has since died or been unloaded. Callers should check `Entity.isValid()`.

Returns:
  the source of this primed TNT

### setSource

void setSource(@Nullable @Nullable Entity source)
Sets the source of this primed TNT. The source is the entity responsible for the creation of this primed TNT.

Must be instance of `LivingEntity` otherwise will be set to null. The parameter is typed `Entity` to be consistent with `getSource()` method.

Parameters:
  `source` - the source of this primed TNT

### getSourceLoc

@Deprecated default Location getSourceLoc()
Deprecated.
replaced by `Entity.getOrigin()`
Gets the source block location of the TNTPrimed

Returns:
  the source block location the TNTPrimed was spawned from